# git commits of current releases
%global commit 371c6e5892c0080a23bc90fcd073175ba6555219
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		slurm-mig-discovery
Version:	1.0
Release:	1.git%{shortcommit}%{?dist}
Summary:	Discover GPU MIG config for use in slurm

Group:		Applications/System
License:	ASL 2.0
URL:		https://gitlab.com/nvidia/hpc/slurm-mig-discovery/
Source0:	https://gitlab.com/nvidia/hpc/slurm-mig-discovery/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:	cuda-nvml-devel-11-2 nvidia-driver-devel nvidia-driver-NVML
Requires:	nvidia-driver-NVML

%description
This program reads a node's MIG partitioning layout (like those created by
Nvidia's mig-parted, for example) and outputs the corresponding Slurm
configuration files -- gres.conf and cgroup_allowed_devices_file.conf.

%prep
%setup -q -n %{name}-%{commit}

%build
gcc -g -o slurm-mig-discovery -I /usr/local/cuda-*/include/ mig.c -lnvidia-ml

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 slurm-mig-discovery %{buildroot}%{_bindir}

%files
%doc LICENSE README.md
%{_bindir}/*

%changelog
* Mon Apr 26 2021 - Josko Plazonic <plazonic@princeton.edu> - 1.0-1.git
- initial release
